<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- 
        CDN
        Content Delivery Network
            - refers to a geographically distributed group of servers which work together
            - it allows for quick transfer of assets needed for loading
     -->
    <title>Bootstrap Introduction</title>
    <link rel="stylesheet" href="./index.css">
    <!-- bootstrap links -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>

<body>
    <!-- navbar -->
    <nav class="navbar navbar-expand-md navbar-dark bg-primary">
        <a class="navbar-brand" href="#">B197 Intro</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navLink">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navLink">
            <ul class="navbar-nav">
                <li class="nav-item"><a class="nav-link active" href="#">Link 1</a></li>
                <li class="nav-item"><a class="nav-link" href="#">Link 2</a></li>
                <li class="nav-item"><a class="nav-link" href="#">Link 3</a></li>
            </ul>
        </div>
    </nav>
    <!-- navbar end -->
    <!-- content section -->
    <div class="mt-5 p-5 bg-warning">
        Bootstrap has its own responsive padding and margins. Where are: m - stands for margin and p - stands for padding
    </div>
    <div class="bg-primary text-white my-5 px-4">
        <h4>Bootstrap Padding and Margin can be applied to specific sides</h4>
        <ul>
            <li>t - set either margin or padding at the top side of an element: mt or pt </li>
            <li>b - set either margin or padding at the bottom side of an element: mb or pb</li>
            <li>x - sets the margin or padding at the left and right side of the element: mx or px</li>
            <li>y - sets the margin or padding at the top and bottom side of the element: my or py</li>
            <li>l - sets the margin or padding at the left side of the element: ml or pl</li>
            <li>r - sets the margin or padding at the right side of the element: mr or pr</li>
            <li>blank - sets margin or padding at ALL sides of the element: m or p</li>
        </ul>
    </div>
    <!-- 
        in bootstrap, you can add a border by adding the class border. This will set a 1px border on your element on all sides. You can then add the proper color once we add the border class

        You can also set the direction or side to add the border:
        border - border on all sides
        border-top - border at the top side
        border-bottom - border at the bottom side
        border-right - border at the right side
        border-left - border at the left side

        bootstrap border is set at 1px. If you want to increase the size of the border, you can always use your CSS.
     -->
    <div class="text-center">
        <h4>Bootstrap margin and padding has sizes from 0-5 and auto</h4>
        <ul>
            <li>0 - sets the margin or padding to 0</li>
            <li>1 - sets the margin or padding to .25rem = 4px if the root element font size is 16px</li>
            <li>2 - sets the margin or padding to .50rem = 8px if the root elemet font size is 16px</li>
            <li>3 - sets the margin or padding to 1rem = 16px</li>
            <li>4 - sets the margin or padding to 1.5rem = 24px if the root element font size is 16px</li>
            <li>5 - sets the margin or padding to 3rem = 48px if the root element is 16px</li>
        </ul>
    </div>
    <!-- mini-activity
        1. create a div which has darkborder on all sides, has 48px margin at the top and 1.5rem of padding on the left and right side
        text: div with dark border
        2. create a div which has warning yellow border on all sides, has 1rem of margin at the top and bottom and 1rem of padding on all sides and it should also have a gray bg
        text: div with warning border
      -->
    <div class="mt-5 px-4 border border-dark">
        Div with dark border
    </div>
    <div class="border border-warning my-3 bg-secondary p-3">
        Div with warning border
    </div>
    <div class="bg-dark p-3 my-3">
        <h2 class="text-center text-white">Bootstrap Link</h2>
        <!-- by default, link in bootstrap does not have an underline. it shows when hovered over. however, we can remove this completely by adding class text-decoration-none -->
        <a class="text-success text-decoration-none" href="#">This link is green</a>
        <a class="text-danger text-decoration-none" href="#">This link is red</a>
        <a class="text-warning text-decoration-none" href="#">This link is yellow</a>
        <!-- in bootstrap, you can make <a> tag look like a button by adding appropriate button class -->
        <a class="btn btn-primary" href="#">This is a link</a>
        <a href="#" class="btn btn-outline-primary">This is a link</a>
        <button class="btn btn-outline-warning mt-2">Outline button</button>
        <button class="btn btn-success btn-block mt-2">Block Button</button>
    </div>
    <div>
        <h2>Aligning text and inline elements</h2>
        <!-- you can align text and inline elements using text align property or text align classes in bootstrap
                note: you have to add the text-align class on the parent
           -->
        <img class="text-center" src="https://placekitten.com/300/300" alt="kitten" />
        <button class="btn btn-warning">Sample</button>
        <!-- however, for block element only the text can be centered/aligned with the text alignment class 
                
                block element, by default, it takes full width of their parent element but they are not exactly centered.

                auto - margin to set in both left and right sides.
           -->
        <p class=" text-center border border-dark bg-success p-5 mx-auto" style="width: 50%;">
            i am block element
        </p>
    </div>
    <!-- content section end -->
    <!-- Main Activity -->
    <!-- Activity:
    1. In the S09-b folder, create an activity folder.
    2. Clone/copy the template for the index.html file.
    3. Apply Bootstrap to the project by adding all the dependencies.
    4. Apply Bootstrap classes to the following:
            - Navbar
            - Footer
            - About Me Section
            - Projects Section
    5. Create a git repository named S09-b.
    6. Initialize a local git repository, add the remote link and push to git with the commit message of Add activity code.
    7. Add the link in Boodle s09. -->
    <!-- main activity end -->
    <!-- bootstrap js dependencies -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>

</html>